robotframework的安装

当前系统:
win7 旗舰版 64位
  1. 安装python2(具体根据安装目录来)
    将C:\Python27和C:\Python27\Scripts添加到系统环境变量Path后面

  2. Robot Framework的安装

pip install robotframwork

3、 robotframework-ride 预安装
(robotframework-ride是基于wxPython的,必须先安装wxPython)那我为什么要先装robotframework-ride呢,因为robotframework-ride对于版本的要求很高,必须一一对应。我们可以根据安装robotframework-ride 的保存信息去下载wxPython

pip install robotframwork-ride
Python 2.7.8 (default, Jun 30 2014, 16:08:48) [MSC v.1500 64 bit (AMD64)] on win32
Type "copyright", "credits" or "license()" for more information.
>>> from robotide import main
wxPython not found.
You need to install wxPython 2.8 toolkit with unicode support to run RIDE.
wxPython 2.8.12.1 can be downloaded from
http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/
  1. wxPython 安装
    根据提示下载 http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/

根据自己系统选择下载进行安装

5、安装robotframwork-ride

pip install robotframwork-ride

6、注意:ride安装成功之后打开ride可能会出现以下问题

λ python2 ride.py
wxPython not found.
You need to install wxPython 2.8.12.1 with unicode support to run RIDE.
wxPython 2.8.12.1 can be downloaded from http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/

解决办法:
安装32位的 wxPython

7、sublime text 高亮插件安装

http://robotframework.org
中找到
https://github.com/andriyko/sublime-robot-framework-assistant
解压
Preferences -> Browse Packages 的目录下

再 'View -> Synatx -> robot framework synatx higthligthing'

勾选后代码可以高亮显示

执行测试用例:

pybot test_demo.robot

Leave a Reply

电子邮件地址不会被公开。 必填项已用*标注